curl --request POST \
--url https://api.gcore.com/cloud/v1/lbpools/{project_id}/{region_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "pool_name",
"ca_secret_id": "<string>",
"crl_secret_id": "<string>",
"healthmonitor": {
"delay": 10,
"domain_name": "example.com",
"http_method": "GET",
"http_version": "1.1",
"max_retries": 3,
"max_retries_down": 3,
"timeout": 5,
"type": "HTTP",
"url_path": "/"
},
"listener_id": "<string>",
"load_balancer_id": "bbb35f84-35cc-4b2f-84c2-a6a29bba68aa",
"members": [
{
"address": "192.168.1.101",
"instance_id": "a7e7e8d6-0bf7-4ac9-8170-831b47ee2ba9",
"protocol_port": 8000,
"weight": 2
},
{
"address": "192.168.1.102",
"instance_id": "169942e0-9b53-42df-95ef-1a8b6525c2bd",
"protocol_port": 8000,
"weight": 4
}
],
"secret_id": "<string>",
"session_persistence": {
"cookie_name": "cookie_name",
"type": "APP_COOKIE"
},
"timeout_client_data": 50000,
"timeout_member_connect": 50000,
"timeout_member_data": 43200000
}
'import requests
url = "https://api.gcore.com/cloud/v1/lbpools/{project_id}/{region_id}"
payload = {
"name": "pool_name",
"ca_secret_id": "<string>",
"crl_secret_id": "<string>",
"healthmonitor": {
"delay": 10,
"domain_name": "example.com",
"http_method": "GET",
"http_version": "1.1",
"max_retries": 3,
"max_retries_down": 3,
"timeout": 5,
"type": "HTTP",
"url_path": "/"
},
"listener_id": "<string>",
"load_balancer_id": "bbb35f84-35cc-4b2f-84c2-a6a29bba68aa",
"members": [
{
"address": "192.168.1.101",
"instance_id": "a7e7e8d6-0bf7-4ac9-8170-831b47ee2ba9",
"protocol_port": 8000,
"weight": 2
},
{
"address": "192.168.1.102",
"instance_id": "169942e0-9b53-42df-95ef-1a8b6525c2bd",
"protocol_port": 8000,
"weight": 4
}
],
"secret_id": "<string>",
"session_persistence": {
"cookie_name": "cookie_name",
"type": "APP_COOKIE"
},
"timeout_client_data": 50000,
"timeout_member_connect": 50000,
"timeout_member_data": 43200000
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'pool_name',
ca_secret_id: '<string>',
crl_secret_id: '<string>',
healthmonitor: {
delay: 10,
domain_name: 'example.com',
http_method: 'GET',
http_version: '1.1',
max_retries: 3,
max_retries_down: 3,
timeout: 5,
type: 'HTTP',
url_path: '/'
},
listener_id: '<string>',
load_balancer_id: 'bbb35f84-35cc-4b2f-84c2-a6a29bba68aa',
members: [
{
address: '192.168.1.101',
instance_id: 'a7e7e8d6-0bf7-4ac9-8170-831b47ee2ba9',
protocol_port: 8000,
weight: 2
},
{
address: '192.168.1.102',
instance_id: '169942e0-9b53-42df-95ef-1a8b6525c2bd',
protocol_port: 8000,
weight: 4
}
],
secret_id: '<string>',
session_persistence: {cookie_name: 'cookie_name', type: 'APP_COOKIE'},
timeout_client_data: 50000,
timeout_member_connect: 50000,
timeout_member_data: 43200000
})
};
fetch('https://api.gcore.com/cloud/v1/lbpools/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Create load balancer pool
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
1
Region ID
1
Body
Load balancer algorithm
LEAST_CONNECTIONS, ROUND_ROBIN, SOURCE_IP "ROUND_ROBIN"
Pool name
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$"pool_name"
Protocol
HTTP, HTTPS, PROXY, PROXYV2, TCP, UDP "HTTP"
Secret ID of CA certificate bundle
Secret ID of CA revocation list file
Health monitor details
Show child attributes
Show child attributes
{
"delay": 10,
"domain_name": "example.com",
"http_method": "GET",
"http_version": "1.1",
"max_retries": 3,
"max_retries_down": 3,
"timeout": 5,
"type": "HTTP",
"url_path": "/"
}
Listener ID
Loadbalancer ID
"bbb35f84-35cc-4b2f-84c2-a6a29bba68aa"
Pool members
Show child attributes
Show child attributes
[
{
"address": "192.168.1.101",
"instance_id": "a7e7e8d6-0bf7-4ac9-8170-831b47ee2ba9",
"protocol_port": 8000,
"weight": 2
},
{
"address": "192.168.1.102",
"instance_id": "169942e0-9b53-42df-95ef-1a8b6525c2bd",
"protocol_port": 8000,
"weight": 4
}
]
Secret ID for TLS client authentication to the member servers
Session persistence details
Show child attributes
Show child attributes
{
"cookie_name": "cookie_name",
"type": "APP_COOKIE"
}
Frontend client inactivity timeout in milliseconds. We are recommending to use listener.timeout_client_data instead.
0 <= x <= 8640000050000
Backend member connection timeout in milliseconds
0 <= x <= 8640000050000
Backend member inactivity timeout in milliseconds
0 <= x <= 86400000Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?